use suppaftp::{NativeTlsFtpStream, NativeTlsConnector};
use suppaftp::native_tls::{Certificate, TlsConnector, TlsStream};

fn main() {
    let ftp_stream = NativeTlsFtpStream::connect("gitea.piwalker.net:21").unwrap_or_else(|err|
        panic!("{}", err)
    );
    let cert = include_bytes!("../res/vsftpd.crt");
    let cert = Certificate::from_pem(cert).unwrap();
    let mut ftp_stream = ftp_stream.into_secure(NativeTlsConnector::from(TlsConnector::builder().add_root_certificate(cert).build().unwrap()), "gitea.piwalker.net").unwrap();
    assert!(ftp_stream.login("anonymous", "anonymous@").is_ok());

    assert!(ftp_stream.quit().is_ok());

}
